NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
natsMsgList Struct Reference
Types

A list of NATS messages. More...

`#include <nats.h>`

## Public Attributes
natsMsg ** | Msgs
int | Count

## Detailed Description

Used by some APIs which return a list of natsMsg objects.

Those APIs will not create the object, but instead initialize the object to which a pointer to that object will be passed to it. Typically, the user will define the object on the stack and pass a pointer to this object to APIs that require a pointer to a natsMsgList object.

Similarly, calling natsMsgList_Destroy will call natsMsg_Destroy on any message still in the list, free the array containing pointers to the messages, but not free the natsMsgList object itself.

Note
  If the user wants to keep some of the messages from the list, the pointers of those messages in the `Msgs` array should be set to `NULL`. The value `Count` MUST not be changed. The function natsMsgList_Destroy will iterate through all pointers in the list and only destroy the ones that have not been set to `NULL`.

See also
  natsMsgList_Destroy

## Member Data Documentation

## ◆ Msgs

natsMsg** natsMsgList::Msgs

## ◆ Count

int natsMsgList::Count

The documentation for this struct was generated from the following file:

- nats.h